package com.pannk.mms.common.oauth2;

import org.apache.shiro.authc.AuthenticationToken;

/**
 * Created by wolf on 20-11-6.
 */
public class OAuth2Token implements AuthenticationToken {


    private String token;

    public OAuth2Token(String token){
        this.token = token;
    }

    @Override
    public Object getPrincipal() {
        return token;
    }

    @Override
    public Object getCredentials() {
        return token;
    }
}
